Package Details: samhain-server 4.4.7-1

Git Clone URL: https://aur.archlinux.org/samhain.git (read-only, click to copy)
Package Base: samhain
Description: Host Integrity Monitoring System (server)
Upstream URL: https://www.la-samhna.de/samhain/index.html
Licenses: GPL
Submitter: Gaming4JC
Maintainer: cherkaba
Last Packager: grawlinson
Votes: 4
Popularity: 0.000026
First Submitted: 2016-03-02 02:06 (UTC)
Last Updated: 2022-03-15 22:21 (UTC)

Latest Comments

cherkaba commented on 2022-03-31 20:49 (UTC) (edited on 2022-03-31 20:57 (UTC) by cherkaba)

@grawlinson what about the --with-trusted=option? endeed i set the UID in the sysuser file but it doesn't star

impossible to initiate the systemd 's service and samhain -t check -D as well. whatever i do i get:

There is a record with a bad version number in the file signature database: (null) This may be caused by using '-t init' repeatedly to initialise the database, without (re)moving the database file.

grawlinson commented on 2021-09-05 19:29 (UTC)

The sysusers.conf files allocate UID dynamically, so this is problematic.

One solution could be to set the UID in sysusers file, and add --with-trusted=0,$UID at compile time.

I'll have another look later.

GI_Jack commented on 2021-09-03 18:00 (UTC)

Add --with-trusted= to ./configure, otherwise this will not start

zimpenfish commented on 2020-04-08 10:08 (UTC)

Checksum is now a15516f6809b1daf812b39fb5aa6be3fac1a51b5efca53568759fdf54572a2e9

PedroHLC commented on 2019-09-07 18:37 (UTC)

Requires 'procps-ng' as dep, changing to 4.3.3, updating checksum, and requires the user to import key '0F571F6C'

Gaming4JC commented on 2016-07-15 02:17 (UTC)

Package updated for new version 4.1.4. Should pass validity check until new version comes.

martynjy commented on 2016-04-30 18:34 (UTC)

Comical: ==> ERROR: One or more files did not pass the validity check!